RDKit::FMCS::Composition2N Class Reference

`#include <Composition2N.h>`

## Public Member Functions

| Composition2N (BitSet maxValue, BitSet valueMask)
BitSet | getBitSet () const
bool | generateNext ()
bool | is2Power () const
bool | isSet (unsigned bit) const

## Static Public Member Functions

static void | compute2N (unsigned power, BitSet &value)

## Detailed Description

Definition at line 15 of file Composition2N.h.

## Constructor & Destructor Documentation

## Composition2N()

RDKit::FMCS::Composition2N::Composition2N | ( | BitSet | maxValue,
|  | BitSet | valueMask
| ) |  |

inline

Definition at line 19 of file Composition2N.h.

## Member Function Documentation

## compute2N()

static void RDKit::FMCS::Composition2N::compute2N | ( | unsigned | power,
|  | BitSet & | value
| ) |  |

inline static

Definition at line 22 of file Composition2N.h.

## generateNext()

bool RDKit::FMCS::Composition2N::generateNext | ( |  | ) |

inline

Definition at line 31 of file Composition2N.h.

## getBitSet()

BitSet RDKit::FMCS::Composition2N::getBitSet | ( |  | ) | const

inline

Definition at line 26 of file Composition2N.h.

Referenced by is2Power(), and isSet().

## is2Power()

bool RDKit::FMCS::Composition2N::is2Power | ( |  | ) | const

inline

Definition at line 38 of file Composition2N.h.

References getBitSet().

## isSet()

bool RDKit::FMCS::Composition2N::isSet | ( | unsigned | bit | ) | const

inline

Definition at line 48 of file Composition2N.h.

References getBitSet().

The documentation for this class was generated from the following file:

- Composition2N.h